import { BasicBuilder, $GetBuilderValue, $GetBuilderModel } from './basic';
import { FieldArrayModel } from '../models';
import { Maybe } from '../maybe';
export declare class FieldArrayBuilder<ChildBuilder extends BasicBuilder<any, any>> extends BasicBuilder<readonly $GetBuilderValue<ChildBuilder>[], FieldArrayModel<$GetBuilderValue<ChildBuilder>, $GetBuilderModel<ChildBuilder>>> {
    private readonly childBuilder;
    private _defaultValue;
    constructor(childBuilder: ChildBuilder);
    defaultValue(defaultValue: ReadonlyArray<$GetBuilderValue<ChildBuilder>>): this;
    build(defaultValue?: Maybe<ReadonlyArray<$GetBuilderValue<ChildBuilder>>>): FieldArrayModel<$GetBuilderValue<ChildBuilder>, $GetBuilderModel<ChildBuilder>>;
    unwrap(): ChildBuilder;
}
